%global realname erlando
%global upstream rabbitmq
%global debug_package %{nil}
%global git_tag 002ce5e
%global patchnumber 0


Name:		erlang-%{realname}
Version:	2.8.2
Release:	2%{?dist}
Summary:	A set of syntax extensions for Erlang
Group:		Development/Languages
# src/cut.erl and src/do.erl are licensed under Erlang Public Licensr
# The rest is under Mozilla Public License v.1.1
License:	MPLv1.1 and ERPL
URL:		https://github.com/rabbitmq/erlando
# wget --no-check-certificate --content-disposition https://github.com/rabbitmq/erlando/tarball/87c6789
Source0:	%{upstream}-%{realname}-rabbitmq_v2_8_2-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-erts
Requires:	erlang-stdlib


%description
A set of syntax extensions for Erlang.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}


%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v


%files
%defattr(-,root,root,-)
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.2-1
- Fixed licensing info

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.2-1
- Ver. 2.8.2

* Tue Apr  3 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1
- initial build

